<form (ngSubmit)="changePassword()" #form="ngForm" aria-labelledby="title">
  <nb-alert *ngIf="errors?.length && !submitted" outline="danger" role="alert">
    <p class="alert-title"><b>Došlo je do greške!</b></p>
    <ul class="alert-message-list">
      <li *ngFor="let error of errors" class="alert-message">{{ error }}</li>
    </ul>
  </nb-alert>

  <nb-alert *ngIf="messages?.length && !submitted" outline="success" role="alert">
    <p class="alert-title"><b>Lozinka promenjena!</b></p>
  </nb-alert>

  <div class="form-control-group">
    <label class="label" for="input-password-old">Lozinka:</label>
    <input nbInput
           [(ngModel)]="lozinka.currentPassword"
           #passwordOld="ngModel"
           type="password"
           id="input-password-old"
           name="password"
           placeholder="Stara lozinka"
           fullWidth
           [status]="''"
           [required]="getConfigValue('forms.validation.password.required')"
           [minlength]="getConfigValue('forms.validation.password.minLength')"
           [maxlength]="getConfigValue('forms.validation.password.maxLength')"
           [attr.aria-invalid]="password.invalid && password.touched ? true : null">
  </div>

  <div class="form-control-group">
    <label class="label" for="input-password">Nova lozinka:</label>
    <input nbInput
           [(ngModel)]="lozinka.password"
           #password="ngModel"
           type="password"
           id="input-password"
           name="password"
           placeholder="Nova lozinka"
           fullWidth
           [status]= "password.value != rePass.value  ? 'danger' : 'success'"
           [required]="getConfigValue('forms.validation.password.required')"
           [minlength]="getConfigValue('forms.validation.password.minLength')"
           [maxlength]="getConfigValue('forms.validation.password.maxLength')"
           [attr.aria-invalid]="password.invalid && password.touched ? true : null">
    <ng-container *ngIf="password.invalid && password.touched">
      <p class="error-message" *ngIf="password.errors?.required">
        Lozinka je obavezna!
      </p>
      <p class="error-message" *ngIf="password.errors?.minlength || password.errors?.maxlength">
        Lozinka treba da sadrži
        između {{ getConfigValue('forms.validation.password.minLength') }}
        i {{ getConfigValue('forms.validation.password.maxLength') }}
        karaktera
      </p>
    </ng-container>
  </div>

  <div class="form-control-group">
    <label class="label" for="input-re-password">Ponovljena lozinka:</label>
    <input nbInput
           [(ngModel)]="lozinka.confirmPassword"
           #rePass="ngModel"
           type="password"
           id="input-re-password"
           name="rePass"
           placeholder="Ponovljena lozinka"
           fullWidth
           [status]="password.value != rePass.value  ? 'danger' : 'success'"
           [required]="getConfigValue('forms.validation.password.required')"
           [attr.aria-invalid]="rePass.invalid && rePass.touched ? true : null">
    <ng-container *ngIf="rePass.invalid && rePass.touched">
      <p class="error-message" *ngIf="rePass.errors?.required">
        Potvrda lozinke je obavezna!
      </p>
      <p class="error-message" *ngIf="password.value != rePass.value && !rePass.errors?.required">
        Lozinke se ne poklapaju.
      </p>
    </ng-container>
  </div>
  <button nbButton
          fullWidth
          status="success"
          [disabled]="submitted || !form.valid"
          [class.btn-pulse]="submitted">
    Promeni lozinku
  </button>
</form>
